@import url('/styles/subscribe.css');

.subscribe-terms-of-use {
  padding-top: 20px;

  .heading {
    font-size: var(--fs-36);
    font-weight: var(--fw-400);
    line-height: normal;
  }

  .content {
    h2 {
      font-size: var(--fs-24);
      line-height: normal;
    }
  }

  ul {
    list-style: disc;
    padding-left: 18px;

    li {
      font-size: var(--subscription-font-h6);
      margin-bottom: 20px;

      &:last-child {
        margin-bottom: 0;
      }
    }
  }
}

.data-consent {
  .subscribe-terms-of-use {
    p:first-of-type {
      font-size: var(--fs-24);
      line-height: normal;
      margin-bottom: 0;
    }

    h1 {
      font-size: var(--fs-36);
      font-weight: var(--fw-400);
      line-height: normal;
    }
    h2 {
      font-size: var(--fs-24);
      line-height: normal;
    }
  }
}

.data-consent.same-heading-size {
  .subscribe-terms-of-use {
    p:first-of-type {
      font-size: var(--subscription-font-h4);
    }
  }
}

.same-heading-size {
  .subscribe-terms-of-use {
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
      font-size: var(--subscription-font-h4);
    }
  }
}
